aboutsummaryrefslogtreecommitdiff
path: root/repo/kunoisayami-init/kunoisayami-init.install
diff options
context:
space:
mode:
Diffstat (limited to 'repo/kunoisayami-init/kunoisayami-init.install')
-rw-r--r--repo/kunoisayami-init/kunoisayami-init.install28
1 files changed, 28 insertions, 0 deletions
diff --git a/repo/kunoisayami-init/kunoisayami-init.install b/repo/kunoisayami-init/kunoisayami-init.install
new file mode 100644
index 0000000..a3e11c1
--- /dev/null
+++ b/repo/kunoisayami-init/kunoisayami-init.install
@@ -0,0 +1,28 @@
+# From: https://aur.archlinux.org/cgit/aur.git/tree/google-chrome.install?h=google-chrome
+# Colored makepkg-like functions
+
+note() {
+ printf "${blue}==>${yellow} NOTE:${bold} $1${all_off}\n"
+}
+
+all_off="$(tput sgr0)"
+bold="${all_off}$(tput bold)"
+blue="${bold}$(tput setaf 4)"
+yellow="${bold}$(tput setaf 3)"
+
+post_install() {
+ if [ ! -r /tmp/hostname ]; then
+ note "hostname file not found"
+ exit 1;
+ fi
+ echo "127.0.0.1 $(cat /tmp/hostname) localhost" >> /etc/hosts
+ echo "::1 $(cat /tmp/hostname) localhost" >> /etc/hosts
+ echo "127.0.0.1 $(cat /tmp/hostname).localdomain localhost.domain" >> /etc/hosts
+ echo "::1 $(cat /tmp/hostname).localdomain localhost.domain" >> /etc/hosts
+ sed -i 's/#en_GB.UTF-8/en_GB.UTF-8/g' /etc/locale.gen
+ locale-gen
+ echo "LANG=en_GB.UTF-8" > /etc/locale.conf
+ ln -s /usr/share/zoneinfo/Asia/Taipei /etc/localtime
+ systemctl enable --now systemd-timesyncd
+
+}